curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/sessionconst url = 'https://{apiBaseUrl}/v2/{sessionId}/session';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/session"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/session");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/session")
.asString();{
"sessionId": "924f66dc-1706-4f13-968f-4a35293e8d2b",
"engineId": "2MIS",
"groupId": "12345",
"display": {
"culture": "fr-FR",
"currency": "EUR",
"countryCode": "FR"
},
"context": {
"stayPeriod": {
"arrivalDate": "2026-06-08T00:00:00Z",
"departureDate": "2026-06-13T00:00:00Z"
},
"guests": [
{
"adults": 2,
"children": 0,
"infants": 0,
"position": 1,
"memberLevel": 0
}
],
"selectedHotelId": "10133",
"selectedRoomCode": "29513",
"highlightedRateCode": "32643",
"promoCode": "DISCOUNT",
"excludeMixedRates": false,
"disableCrossSell": false,
"isMobile": false
},
"basket": {
"rooms": [],
"hotelExtras": [],
"referenceRateIds": {
"cancelConditionsRateId": 0,
"sellingConditionsRateId": 0,
"qualifierRateId": 0,
"cancelConditions": []
},
"isBookingRequest": false,
"isMixedRate": false,
"hasOfferCode": false,
"hasPublicOffer": false,
"offerCodeId": "00000000-0000-0000-0000-000000000000",
"isComplete": false
},
"roomFilters": [
{
"type": "RoomTypes",
"values": [
"Single",
"Double"
]
}
],
"hotelFilters": [
{
"type": "Localisation",
"values": [
"<latitude>",
"<longitude>",
"[range in meters]"
]
},
{
"type": "Budget",
"values": [
"<price min>",
"[price max]"
]
},
{
"type": "Rating",
"values": [
"NoStar",
"OneStar",
"TwoStars",
"ThreeStars",
"FourStars",
"FiveStars"
]
},
{
"type": "Amenities",
"values": [
"MoneyExchange",
"ReceptionAvailable24Hours",
"LocalTaxNotIncluded",
"PetsWelcome",
"WheelchairAccess",
"MembershipCardRequired",
"MembershipCardSoldOnSite",
"Garden",
"Terrace",
"Elevator",
"CentralHeating",
"LinenIncluded",
"LinenAvailable",
"TowelIncluded",
"TowelAvailable",
"Laundry",
"BreakfastFacilities",
"MealFacilities",
"TakeAway",
"Cafeteria",
"Restaurant",
"NoAlcoholBar",
"BarbecueAvailable",
"Bar",
"FoodStore",
"AirConditioning",
"HotShower",
"BilliardRoom",
"TelevisionRoom",
"GamesRoom",
"Playground",
"ReadingRoom",
"BooksAvailable",
"NightClub",
"Excursions",
"Tennis",
"IndoorSwimmingPool",
"OutdoorSwimmingPool",
"Sauna",
"Jacuzzi",
"FitnessRoom",
"PosteRestante",
"MessageBoard",
"InternationalPhone",
"LocalPhone",
"Fax",
"InternetAccess",
"FreeInternetAccess",
"InternetCafe",
"LuggageRoom",
"SecureCarPark",
"TwoWheelerCarPark",
"CoachStationShuttle",
"TrainStationShuttle",
"AirportShuttle",
"BicycleRental",
"MotorbikeRental",
"CarRental",
"SafetyBox"
]
},
{
"type": "City",
"values": [
"Paris"
]
},
{
"type": "Country",
"values": [
"FR"
]
}
],
"roomSortType": "Default",
"hotelSortType": "Default",
"bookingEngineMode": {
"engineMode": "SingleHotel",
"guestSelectionMode": "Default"
},
"defaultDistance": 0
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Get an existing session
Get an existing session
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/sessionconst url = 'https://{apiBaseUrl}/v2/{sessionId}/session';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/session"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/session",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/session");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/session")
.asString();{
"sessionId": "924f66dc-1706-4f13-968f-4a35293e8d2b",
"engineId": "2MIS",
"groupId": "12345",
"display": {
"culture": "fr-FR",
"currency": "EUR",
"countryCode": "FR"
},
"context": {
"stayPeriod": {
"arrivalDate": "2026-06-08T00:00:00Z",
"departureDate": "2026-06-13T00:00:00Z"
},
"guests": [
{
"adults": 2,
"children": 0,
"infants": 0,
"position": 1,
"memberLevel": 0
}
],
"selectedHotelId": "10133",
"selectedRoomCode": "29513",
"highlightedRateCode": "32643",
"promoCode": "DISCOUNT",
"excludeMixedRates": false,
"disableCrossSell": false,
"isMobile": false
},
"basket": {
"rooms": [],
"hotelExtras": [],
"referenceRateIds": {
"cancelConditionsRateId": 0,
"sellingConditionsRateId": 0,
"qualifierRateId": 0,
"cancelConditions": []
},
"isBookingRequest": false,
"isMixedRate": false,
"hasOfferCode": false,
"hasPublicOffer": false,
"offerCodeId": "00000000-0000-0000-0000-000000000000",
"isComplete": false
},
"roomFilters": [
{
"type": "RoomTypes",
"values": [
"Single",
"Double"
]
}
],
"hotelFilters": [
{
"type": "Localisation",
"values": [
"<latitude>",
"<longitude>",
"[range in meters]"
]
},
{
"type": "Budget",
"values": [
"<price min>",
"[price max]"
]
},
{
"type": "Rating",
"values": [
"NoStar",
"OneStar",
"TwoStars",
"ThreeStars",
"FourStars",
"FiveStars"
]
},
{
"type": "Amenities",
"values": [
"MoneyExchange",
"ReceptionAvailable24Hours",
"LocalTaxNotIncluded",
"PetsWelcome",
"WheelchairAccess",
"MembershipCardRequired",
"MembershipCardSoldOnSite",
"Garden",
"Terrace",
"Elevator",
"CentralHeating",
"LinenIncluded",
"LinenAvailable",
"TowelIncluded",
"TowelAvailable",
"Laundry",
"BreakfastFacilities",
"MealFacilities",
"TakeAway",
"Cafeteria",
"Restaurant",
"NoAlcoholBar",
"BarbecueAvailable",
"Bar",
"FoodStore",
"AirConditioning",
"HotShower",
"BilliardRoom",
"TelevisionRoom",
"GamesRoom",
"Playground",
"ReadingRoom",
"BooksAvailable",
"NightClub",
"Excursions",
"Tennis",
"IndoorSwimmingPool",
"OutdoorSwimmingPool",
"Sauna",
"Jacuzzi",
"FitnessRoom",
"PosteRestante",
"MessageBoard",
"InternationalPhone",
"LocalPhone",
"Fax",
"InternetAccess",
"FreeInternetAccess",
"InternetCafe",
"LuggageRoom",
"SecureCarPark",
"TwoWheelerCarPark",
"CoachStationShuttle",
"TrainStationShuttle",
"AirportShuttle",
"BicycleRental",
"MotorbikeRental",
"CarRental",
"SafetyBox"
]
},
{
"type": "City",
"values": [
"Paris"
]
},
{
"type": "Country",
"values": [
"FR"
]
}
],
"roomSortType": "Default",
"hotelSortType": "Default",
"bookingEngineMode": {
"engineMode": "SingleHotel",
"guestSelectionMode": "Default"
},
"defaultDistance": 0
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
The impersonation.
Path Parameters
Response
Returns the user session details
The unique identifier of the session.
The session is used to identify the end user.
The sessionId is used to identify the session for all of the other operations on this API.
The D-EDGE reference of the booking engine.
The D-EDGE group id of the booking engine.
Show child attributes
Show child attributes
{ "culture": "fr-FR", "currency": "EUR", "countryCode": "FR" }
This represent the parameters used to configure future call to the service. It represents more or less the data entered by the final customer.
Show child attributes
Show child attributes
{ "stayPeriod": { "arrivalDate": "2026-06-08T00:00:00Z", "departureDate": "2026-06-13T00:00:00Z" }, "guests": [ { "adults": 2, "children": 0, "infants": 0, "position": 1, "memberLevel": 0 } ], "selectedHotelId": "10133", "selectedRoomCode": "29513", "highlightedRateCode": "32643", "promoCode": "DISCOUNT", "excludeMixedRates": false, "disableCrossSell": false, "isMobile": false }
The current basket of the user.
Show child attributes
Show child attributes
The room filters configured by the end user.
Show child attributes
Show child attributes
The hotel filters configured by the end user.
Show child attributes
Show child attributes
Define the way room results are sorted when performing a search.
Default, DescendingPrice, AscendingPrice Define the way hotel results are sorted when performing a search.
Default, DescendingPrice, AscendingPrice, Rating, Name Define the modes for a booking engine.
Show child attributes
Show child attributes
Was this page helpful?